Bug 187531 - [WinCairo] Add windows storage process connection implementation
Summary: [WinCairo] Add windows storage process connection implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-07-10 11:41 PDT by Christopher Reid
Modified: 2018-07-13 11:30 PDT (History)
12 users (show)

See Also:


Attachments
patch (3.16 KB, patch)
2018-07-10 14:29 PDT, Christopher Reid
no flags Details | Formatted Diff | Diff
patch (4.30 KB, patch)
2018-07-10 23:35 PDT, Christopher Reid
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.80 MB, application/zip)
2018-07-11 02:07 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Reid 2018-07-10 11:41:33 PDT
StorageProcess::createStorageToWebProcessConnection and StorageProcessProxy::didCreateStorageToWebProcessConnection have no windows implementations.
This is causing the webprocess' main thread to indefinitely lock when attempting to use the storage process.
Comment 1 Christopher Reid 2018-07-10 14:29:56 PDT
Created attachment 344722 [details]
patch
Comment 2 Fujii Hironori 2018-07-10 20:35:30 PDT
Comment on attachment 344722 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=344722&action=review

I'm not a reviewer. This is an informal review.

> Source/WebKit/StorageProcess/StorageProcess.cpp:268
> +        return;

I think you shouldn't ignore this error. Mac port is calling LOG_ERROR and CRASH in case of error. Windows port should do the same.
Comment 3 Christopher Reid 2018-07-10 22:44:08 PDT
(In reply to Fujii Hironori from comment #2)
> Comment on attachment 344722 [details]
> patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=344722&action=review
> 
> I'm not a reviewer. This is an informal review.
> 
> > Source/WebKit/StorageProcess/StorageProcess.cpp:268
> > +        return;
> 
> I think you shouldn't ignore this error. Mac port is calling LOG_ERROR and
> CRASH in case of error. Windows port should do the same.

It looks like the NetworkProcess::createNetworkConnectionToWebProcess also suppressed that error. I'll update that too.
Comment 4 Christopher Reid 2018-07-10 23:35:22 PDT
Created attachment 344757 [details]
patch
Comment 5 Fujii Hironori 2018-07-10 23:56:20 PDT
LGTM!
Comment 6 Build Bot 2018-07-11 02:07:47 PDT
Comment on attachment 344757 [details]
patch

Attachment 344757 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8503116

New failing tests:
http/tests/preload/onload_event.html
Comment 7 Build Bot 2018-07-11 02:07:58 PDT
Created attachment 344760 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 8 WebKit Commit Bot 2018-07-13 11:28:16 PDT
Comment on attachment 344757 [details]
patch

Clearing flags on attachment: 344757

Committed r233807: <https://trac.webkit.org/changeset/233807>
Comment 9 WebKit Commit Bot 2018-07-13 11:28:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-07-13 11:30:11 PDT
<rdar://problem/42173986>